Constraint Class Reference

Base constraint class. More...

`#include <ql/math/optimization/constraint.hpp>`

Inheritance diagram for Constraint:
[legend]

## Classes

class | Impl
| Base class for constraint implementations. More...

## Public Member Functions

bool | empty () const
bool | test (const Array &p) const
Array | upperBound (const Array &params) const
Array | lowerBound (const Array &params) const
Real | update (Array &p, const Array &direction, Real beta)
| Constraint (const boost::shared_ptr< Impl > &impl=boost::shared_ptr< Impl >())

## Protected Attributes

boost::shared_ptr< Impl > | impl_

## Detailed Description

Base constraint class.